var mainLayout, mainMenu, mainToolbar, mainRibbon, sbObj;
function doOnLoad() {
	mainLayout = new dhtmlXLayoutObject({
		parent: document.body,
		pattern: "3L"
	});
	document.getElementById("main_logo").style.display = "none";
	document.getElementById("main_copy").style.display = "none";
	attachToolbar();
	attachStatusBar();
	loadBasicInfo();
}
// header
function attachHeader() {
	document.getElementById("main_logo").style.display = "";
	mainLayout.attachHeader("main_logo");
	checkHeight();
}
function detachHeader() {
	mainLayout.detachHeader();
	document.getElementById("main_logo").style.display = "none";
	checkHeight();
}
// footer
function attachFooter() {
	document.getElementById("main_copy").style.display = "";
	mainLayout.attachFooter("main_copy");
	checkHeight();
}
function detachFooter() {
	mainLayout.detachFooter();
	document.getElementById("main_copy").style.display = "none";
	checkHeight();
}
function attachToolbar() {
	if (mainToolbar != null) return;
	if (mainRibbon != null) detachRibbon();
	mainToolbar = mainLayout.attachToolbar({
		icons_path: path+"/js/dhtmlx/dhtmlxToolbar/imgs/",
		xml: path+"/js/dhtmlx/dhtmlxToolbar/xmlDatas/dhxtoolbar_button.xml"
	});
	checkHeight();
}
function detachToolbar() {
	if (mainToolbar == null) return;
	mainLayout.detachToolbar();
	mainToolbar = null;
	checkHeight();
}
function attachStatusBar() {
	if (sbObj != null) return;
	sbObj = mainLayout.attachStatusBar({text:""});
	checkHeight();
}
function detachStatusBar() {
	if (sbObj == null) return;
	mainLayout.detachStatusBar();
	sbObj = null;
	checkHeight();
}
// fix cells' height
function checkHeight() {
	mainLayout.cells("b").setHeight(Math.round(mainLayout.cells("a").getHeight()/2));
}

function loadBasicInfo(){
	var basicInfoGrid;
	basicInfoGrid = mainLayout.cells("a").attachGrid();
	basicInfoGrid.setImagePath(path+"/js/dhtmlx/codebase/imgs/");
	basicInfoGrid.setHeader("Column A,Column B,Column C");
	basicInfoGrid.setInitWidths("120,*,*");
	basicInfoGrid.setColAlign("left,left,left");
	basicInfoGrid.setColTypes("dyn,ed,ed");
	basicInfoGrid.setColSorting("str,str,str");
	basicInfoGrid.init();
	basicInfoGrid.setSkin("dhx_skyblue");
	basicInfoGrid.loadXML(path+"/DhtmlxServlet?action=test1");
}